#pragma once

#include "node_panel_brush.h"

namespace pp::panopainter {

Node* clone_legacy_brush_button(const NodeButtonBrush& owner);
void init_legacy_brush_button(NodeButtonBrush& owner);
void set_legacy_brush_button_icon(NodeButtonBrush& owner, const char* path);
void draw_legacy_brush_button(NodeButtonBrush& owner);
bool read_legacy_brush_button(NodeButtonBrush& owner, BinaryStreamReader& r);
void write_legacy_brush_button(const NodeButtonBrush& owner, BinaryStreamWriter& w);

Node* clone_legacy_brush_preset_item(const NodeBrushPresetItem& owner);
void init_legacy_brush_preset_item(NodeBrushPresetItem& owner);
void draw_legacy_brush_preset_item(NodeBrushPresetItem& owner);

} // namespace pp::panopainter
